package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程管理对象 z_engineering
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering")
public class ZEngineering extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @TableId(value = "id")
    private String id;
    /**
     * 小区id
     */
    private String areaId;
    /**
     * 楼宇id
     */
    private String buildingId;
    /**
     * 单元id
     */
    private String unitId;
    /**
     * 房间id
     */
    private String houseId;
    /**
     * 工程类型(字典)
     */
    private String engineeringType;
    /**
     * 负责人id
     */
    private String headName;
    /**
     * 负责人电话
     */
    private String headPhone;
    /**
     * 工程分类(字典)
     */
    private String engineeringClassification;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
