package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程用料预设对象 z_engineering_material_preset
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_material_preset")
public class ZEngineeringMaterialPreset extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @TableId(value = "id")
    private String id;
    /**
     * 小区id
     */
    private String areaId;
    /**
     * 材质
     */
    private String goodsKind;
    /**
     * 预计规格
     */
    private String planGui;
    /**
     * 实际规格
     */
    private String realGui;
    /**
     * 实际金额
     */
    private BigDecimal realMoney;
    /**
     * 预计金额
     */
    private BigDecimal planMoney;
    /**
     * 预计尺寸
     */
    private String planSize;
    /**
     * 实际尺寸
     */
    private String realSzie;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
