package com.ruoyi.zdsz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 小区管理视图对象 z_area
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@ExcelIgnoreUnannotated
public class ZAreaVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ExcelProperty(value = "主键id")
    private Long id;

    /**
     * 小区名
     */
    @ExcelProperty(value = "小区名")
    private String name;

    /**
     * 负责工长
     */
    @ExcelProperty(value = "负责工长")
    private Long userId;

    /**
     * 是否释放
     */
    @ExcelProperty(value = "是否释放")
    private String releaseIs;

    /**
     * 释放人
     */
    @ExcelProperty(value = "释放人")
    private String releaseBy;

    /**
     * 行政区（字典district）
     */
    @ExcelProperty(value = "行政区", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "字=典district")
    private String district;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private String calculateDistrictId;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private String calculateDistrictName;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private Long areaSize;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private String affiliatedPackage;


}
