package com.ruoyi.zdsz.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 基建工程详情视图对象 z_engineering_infrastructure_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringInfrastructureInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private String id;

    /**
     * 工程节点id
     */
    @ExcelProperty(value = "工程节点id")
    private String engInfoId;

    /**
     * 工程名称
     */
    @ExcelProperty(value = "工程名称")
    private String engName;

    /**
     * 工程地址
     */
    @ExcelProperty(value = "工程地址")
    private String buildPlace;

    /**
     * 建设单位
     */
    @ExcelProperty(value = "建设单位")
    private String buildUnit;

    /**
     * 开工时间
     */
    @ExcelProperty(value = "开工时间")
    private Date startTime;

    /**
     * 计划工期
     */
    @ExcelProperty(value = "计划工期")
    private Date planTime;

    /**
     * 竣工时间
     */
    @ExcelProperty(value = "竣工时间")
    private Date workTime;

    /**
     * 工程内容
     */
    @ExcelProperty(value = "工程内容")
    private String workContent;

    /**
     * 工程规格
     */
    @ExcelProperty(value = "工程规格")
    private String buildModel;

    /**
     * 工程尺寸
     */
    @ExcelProperty(value = "工程尺寸")
    private String buildChi;

    /**
     * 工程数量
     */
    @ExcelProperty(value = "工程数量")
    private Long buildMuch;

    /**
     * 施工人员
     */
    @ExcelProperty(value = "施工人员")
    private String buildUserId;


}
