package com.ruoyi.zdsz.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 顶管工程详情视图对象 z_engineering_pipe_jacking_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringPipeJackingInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private String id;

    /**
     * 工程节点id
     */
    @ExcelProperty(value = "工程节点id")
    private String engInfoId;

    /**
     * 工程名称
     */
    @ExcelProperty(value = "工程名称")
    private String engName;

    /**
     * 工程地点
     */
    @ExcelProperty(value = "工程地点")
    private String buildPlace;

    /**
     * 工程编码
     */
    @ExcelProperty(value = "工程编码")
    private String buildCode;

    /**
     * 工程单位
     */
    @ExcelProperty(value = "工程单位")
    private String buildUnit;

    /**
     * 工程规模
     */
    @ExcelProperty(value = "工程规模")
    private String buildModel;

    /**
     * 工程质量
     */
    @ExcelProperty(value = "工程质量")
    private String buildMg;

    /**
     * 施工人员
     */
    @ExcelProperty(value = "施工人员")
    private String buildUserId;

    /**
     * 施工时间
     */
    @ExcelProperty(value = "施工时间")
    private Date buildTime;

    /**
     * 工程进度
     */
    @ExcelProperty(value = "工程进度")
    private String buildProcess;


}
