package com.ruoyi.zdsz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 工程管理视图对象 z_engineering
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelProperty(value = "主键")
    private String id;

    /**
     * 小区id
     */
    @ExcelProperty(value = "小区id")
    private String areaId;

    /**
     * 楼宇id
     */
    @ExcelProperty(value = "楼宇id")
    private String buildingId;

    /**
     * 单元id
     */
    @ExcelProperty(value = "单元id")
    private String unitId;

    /**
     * 房间id
     */
    @ExcelProperty(value = "房间id")
    private String houseId;

    /**
     * 工程类型(字典)
     */
    @ExcelProperty(value = "工程类型(字典)")
    private String engineeringType;

    /**
     * 负责人id
     */
    @ExcelProperty(value = "负责人id")
    private String headName;

    /**
     * 负责人电话
     */
    @ExcelProperty(value = "负责人电话")
    private String headPhone;

    /**
     * 工程分类(字典)
     */
    @ExcelProperty(value = "工程分类(字典)")
    private String engineeringClassification;


}
