package com.ruoyi.zdsz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 房屋管理视图对象 z_house
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@ExcelIgnoreUnannotated
public class ZHouseVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ExcelProperty(value = "主键id")
    private Long id;

    /**
     * 房屋名
     */
    @ExcelProperty(value = "房屋名")
    private String name;

    /**
     * 单元id
     */
    @ExcelProperty(value = "单元id")
    private Long unitId;


}
