package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringCivilInfo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringCivilInfoVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringCivilInfoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 民用工程详情信息Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZEngineeringCivilInfoService {

    /**
     * 查询民用工程详情信息
     */
    ZEngineeringCivilInfoVo queryById(String id);

    /**
     * 查询民用工程详情信息列表
     */
    TableDataInfo<ZEngineeringCivilInfoVo> queryPageList(ZEngineeringCivilInfoBo bo, PageQuery pageQuery);

    /**
     * 查询民用工程详情信息列表
     */
    List<ZEngineeringCivilInfoVo> queryList(ZEngineeringCivilInfoBo bo);

    /**
     * 新增民用工程详情信息
     */
    Boolean insertByBo(ZEngineeringCivilInfoBo bo);

    /**
     * 修改民用工程详情信息
     */
    Boolean updateByBo(ZEngineeringCivilInfoBo bo);

    /**
     * 校验并批量删除民用工程详情信息信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
