package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringFiles;
import com.ruoyi.zdsz.domain.vo.ZEngineeringFilesVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringFilesBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 附件Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZEngineeringFilesService {

    /**
     * 查询附件
     */
    ZEngineeringFilesVo queryById(String id);

    /**
     * 查询附件列表
     */
    TableDataInfo<ZEngineeringFilesVo> queryPageList(ZEngineeringFilesBo bo, PageQuery pageQuery);

    /**
     * 查询附件列表
     */
    List<ZEngineeringFilesVo> queryList(ZEngineeringFilesBo bo);

    /**
     * 新增附件
     */
    Boolean insertByBo(ZEngineeringFilesBo bo);

    /**
     * 修改附件
     */
    Boolean updateByBo(ZEngineeringFilesBo bo);

    /**
     * 校验并批量删除附件信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
