package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringIndustrialInfo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringIndustrialInfoVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringIndustrialInfoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工业工程详情Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZEngineeringIndustrialInfoService {

    /**
     * 查询工业工程详情
     */
    ZEngineeringIndustrialInfoVo queryById(String id);

    /**
     * 查询工业工程详情列表
     */
    TableDataInfo<ZEngineeringIndustrialInfoVo> queryPageList(ZEngineeringIndustrialInfoBo bo, PageQuery pageQuery);

    /**
     * 查询工业工程详情列表
     */
    List<ZEngineeringIndustrialInfoVo> queryList(ZEngineeringIndustrialInfoBo bo);

    /**
     * 新增工业工程详情
     */
    Boolean insertByBo(ZEngineeringIndustrialInfoBo bo);

    /**
     * 修改工业工程详情
     */
    Boolean updateByBo(ZEngineeringIndustrialInfoBo bo);

    /**
     * 校验并批量删除工业工程详情信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
