package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringInfrastructureInfo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringInfrastructureInfoVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringInfrastructureInfoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 基建工程详情Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZEngineeringInfrastructureInfoService {

    /**
     * 查询基建工程详情
     */
    ZEngineeringInfrastructureInfoVo queryById(String id);

    /**
     * 查询基建工程详情列表
     */
    TableDataInfo<ZEngineeringInfrastructureInfoVo> queryPageList(ZEngineeringInfrastructureInfoBo bo, PageQuery pageQuery);

    /**
     * 查询基建工程详情列表
     */
    List<ZEngineeringInfrastructureInfoVo> queryList(ZEngineeringInfrastructureInfoBo bo);

    /**
     * 新增基建工程详情
     */
    Boolean insertByBo(ZEngineeringInfrastructureInfoBo bo);

    /**
     * 修改基建工程详情
     */
    Boolean updateByBo(ZEngineeringInfrastructureInfoBo bo);

    /**
     * 校验并批量删除基建工程详情信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
