package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringMaterialPreset;
import com.ruoyi.zdsz.domain.vo.ZEngineeringMaterialPresetVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringMaterialPresetBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工程用料预设Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZEngineeringMaterialPresetService {

    /**
     * 查询工程用料预设
     */
    ZEngineeringMaterialPresetVo queryById(String id);

    /**
     * 查询工程用料预设列表
     */
    TableDataInfo<ZEngineeringMaterialPresetVo> queryPageList(ZEngineeringMaterialPresetBo bo, PageQuery pageQuery);

    /**
     * 查询工程用料预设列表
     */
    List<ZEngineeringMaterialPresetVo> queryList(ZEngineeringMaterialPresetBo bo);

    /**
     * 新增工程用料预设
     */
    Boolean insertByBo(ZEngineeringMaterialPresetBo bo);

    /**
     * 修改工程用料预设
     */
    Boolean updateByBo(ZEngineeringMaterialPresetBo bo);

    /**
     * 校验并批量删除工程用料预设信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
