package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringPipeJackingInfo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringPipeJackingInfoVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringPipeJackingInfoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 顶管工程详情Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZEngineeringPipeJackingInfoService {

    /**
     * 查询顶管工程详情
     */
    ZEngineeringPipeJackingInfoVo queryById(String id);

    /**
     * 查询顶管工程详情列表
     */
    TableDataInfo<ZEngineeringPipeJackingInfoVo> queryPageList(ZEngineeringPipeJackingInfoBo bo, PageQuery pageQuery);

    /**
     * 查询顶管工程详情列表
     */
    List<ZEngineeringPipeJackingInfoVo> queryList(ZEngineeringPipeJackingInfoBo bo);

    /**
     * 新增顶管工程详情
     */
    Boolean insertByBo(ZEngineeringPipeJackingInfoBo bo);

    /**
     * 修改顶管工程详情
     */
    Boolean updateByBo(ZEngineeringPipeJackingInfoBo bo);

    /**
     * 校验并批量删除顶管工程详情信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
