package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringReview;
import com.ruoyi.zdsz.domain.vo.ZEngineeringReviewVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringReviewBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 审核信息Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZEngineeringReviewService {

    /**
     * 查询审核信息
     */
    ZEngineeringReviewVo queryById(String id);

    /**
     * 查询审核信息列表
     */
    TableDataInfo<ZEngineeringReviewVo> queryPageList(ZEngineeringReviewBo bo, PageQuery pageQuery);

    /**
     * 查询审核信息列表
     */
    List<ZEngineeringReviewVo> queryList(ZEngineeringReviewBo bo);

    /**
     * 新增审核信息
     */
    Boolean insertByBo(ZEngineeringReviewBo bo);

    /**
     * 修改审核信息
     */
    Boolean updateByBo(ZEngineeringReviewBo bo);

    /**
     * 校验并批量删除审核信息信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
