package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineering;
import com.ruoyi.zdsz.domain.vo.ZEngineeringVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工程管理Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZEngineeringService {

    /**
     * 查询工程管理
     */
    ZEngineeringVo queryById(String id);

    /**
     * 查询工程管理列表
     */
    TableDataInfo<ZEngineeringVo> queryPageList(ZEngineeringBo bo, PageQuery pageQuery);

    /**
     * 查询工程管理列表
     */
    List<ZEngineeringVo> queryList(ZEngineeringBo bo);

    /**
     * 新增工程管理
     */
    Boolean insertByBo(ZEngineeringBo bo);

    /**
     * 修改工程管理
     */
    Boolean updateByBo(ZEngineeringBo bo);

    /**
     * 校验并批量删除工程管理信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
