package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 小区管理对象 z_area
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_area")
public class ZArea extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 小区名
     */
    private String name;
    /**
     * 负责工长
     */
    private Long userId;
    /**
     * 删除标志
     */
    @TableLogic
    private String delFlag;
    /**
     * 是否释放
     */
    private String releaseIs;
    /**
     * 释放人
     */
    private String releaseBy;
    /**
     * 行政区（字典district）
     */
    private String district;
    /**
     * 
     */
    private String calculateDistrictId;
    /**
     * 
     */
    private String calculateDistrictName;
    /**
     * 
     */
    private Long areaSize;
    /**
     * 
     */
    private String affiliatedPackage;

}
