package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 市政工程详情对象 z_engineering_city_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_city_info")
public class ZEngineeringCityInfo extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 
     */
    @TableId(value = "id")
    private String id;
    /**
     * 工程节点id
     */
    private String engInfoId;
    /**
     * 工程类型(字典)
     */
    private String engType;
    /**
     * 建设单位
     */
    private String buildUnit;
    /**
     * 项目负责人id
     */
    private String buildUser;
    /**
     * 项目负责人电话
     */
    private String buildPhone;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;
    /**
     * 建设单位
     */
    private String psUnit;
    /**
     * 项目负责人id
     */
    private String psUser;
    /**
     * 项目负责人电话
     */
    private String psPhone;
    /**
     * 建设单位
     */
    private String checkUnit;
    /**
     * 项目负责人id
     */
    private String checkUser;
    /**
     * 项目负责人电话
     */
    private String checkPhone;

}
