package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 民用工程详情信息对象 z_engineering_civil_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_civil_info")
public class ZEngineeringCivilInfo extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 
     */
    @TableId(value = "id")
    private String id;
    /**
     * 工程节点id
     */
    private String engInfoId;
    /**
     * 施工人id
     */
    private String constructUser;
    /**
     * 施工地址
     */
    private String constructAddre;
    /**
     * 施工时间
     */
    private Date constructTime;
    /**
     * 是否按图纸施工(字典)
     */
    private String constructAccordingDrawings;
    /**
     * 施工人电话
     */
    private String constructPhone;
    /**
     * 材质
     */
    private String materialQuality;
    /**
     * 规格
     */
    private String specifications;
    /**
     * 尺寸
     */
    private Long size;
    /**
     * 数量
     */
    private Long number;
    /**
     * 分段打压是否合格(字典)
     */
    private String segmentedCompressionQualified;
    /**
     * 回填时间
     */
    private Date backfillTime;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
