package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 危险作业工程对象 z_engineering_danger_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_danger_info")
public class ZEngineeringDangerInfo extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 
     */
    @TableId(value = "id")
    private String id;
    /**
     * 工程节点id
     */
    private String engInfoId;
    /**
     * 工程名称
     */
    private String proName;
    /**
     * 工程地址
     */
    private String proAdress;
    /**
     * 工程时间
     */
    private Date proTime;
    /**
     * 管径
     */
    private String pipJing;
    /**
     * 管材
     */
    private String pipGoods;
    /**
     * 是否存在套管(字典)
     */
    private String hasPip;
    /**
     * 管道压力
     */
    private String pipPower;
    /**
     * 气源方向
     */
    private String airTo;
    /**
     * 作业位置
     */
    private String workUnit;
    /**
     * 与作业相关阀门位置
     */
    private String workFaUnit;
    /**
     * 压力报告
     */
    private String powerReport;
    /**
     * 监理旁站记录
     */
    private String checkRecord;
    /**
     * 工作联系单
     */
    private String workConnOrder;
    /**
     * 巡线确认单
     */
    private String lineOrder;
    /**
     * 危险作业坑大小（字典）
     */
    private String dangerKeng;
    /**
     * 是否需要支护（字典）
     */
    private String isProtect;
    /**
     * 作业坑内其他管道情况
     */
    private String workOtherPips;
    /**
     * 现场负责人id
     */
    private String nowUserId;
    /**
     * 现场负责人联系方式
     */
    private String nowUserPhone;
    /**
     * 检口
     */
    private String checkKou;
    /**
     * 管道刷油
     */
    private String pipBoil;
    /**
     * 管道防腐
     */
    private String pipFu;
    /**
     * 管道支护
     */
    private String pipPay;
    /**
     * 砌筑阀门井及保护井
     */
    private String faJing;
    /**
     * 管件保护井砌筑
     */
    private String jingProtect;
    /**
     * 回田
     */
    private String backField;
    /**
     * 务实
     */
    private String wuShi;
    /**
     * 平整场地
     */
    private String smoothPlace;
    /**
     * 删除标志
     */
    @TableLogic
    private String delFlag;

}
