package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 附件对象 z_engineering_files
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_files")
public class ZEngineeringFiles extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @TableId(value = "id")
    private String id;
    /**
     * 上级id
     */
    private String parentId;
    /**
     * 图片地址
     */
    private String picUrl;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
