package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 基建工程详情对象 z_engineering_infrastructure_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_infrastructure_info")
public class ZEngineeringInfrastructureInfo extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 
     */
    @TableId(value = "id")
    private String id;
    /**
     * 工程节点id
     */
    private String engInfoId;
    /**
     * 工程名称
     */
    private String engName;
    /**
     * 工程地址
     */
    private String buildPlace;
    /**
     * 建设单位
     */
    private String buildUnit;
    /**
     * 开工时间
     */
    private Date startTime;
    /**
     * 计划工期
     */
    private Date planTime;
    /**
     * 竣工时间
     */
    private Date workTime;
    /**
     * 工程内容
     */
    private String workContent;
    /**
     * 工程规格
     */
    private String buildModel;
    /**
     * 工程尺寸
     */
    private String buildChi;
    /**
     * 工程数量
     */
    private Long buildMuch;
    /**
     * 施工人员
     */
    private String buildUserId;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
