package com.ruoyi.zdsz.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 顶管工程详情对象 z_engineering_pipe_jacking_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("z_engineering_pipe_jacking_info")
public class ZEngineeringPipeJackingInfo extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 
     */
    @TableId(value = "id")
    private String id;
    /**
     * 工程节点id
     */
    private String engInfoId;
    /**
     * 工程名称
     */
    private String engName;
    /**
     * 工程地点
     */
    private String buildPlace;
    /**
     * 工程编码
     */
    private String buildCode;
    /**
     * 工程单位
     */
    private String buildUnit;
    /**
     * 工程规模
     */
    private String buildModel;
    /**
     * 工程质量
     */
    private String buildMg;
    /**
     * 施工人员
     */
    private String buildUserId;
    /**
     * 施工时间
     */
    private Date buildTime;
    /**
     * 工程进度
     */
    private String buildProcess;
    /**
     * 删除标识
     */
    @TableLogic
    private String delFlag;

}
