package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程节点业务对象 z_engineering_node
 *
 * @author ruoyi
 * @date 2023-12-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringNodeBo extends BaseEntity {

    /**
     * 
     */
    @NotBlank(message = "不能为空", groups = { EditGroup.class })
    private String id;

    /**
     * 工程id
     */
    @NotBlank(message = "工程id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String civliId;

    /**
     * 节点类型(字典)
     */
    @NotBlank(message = "节点类型(字典)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String type;


}
