package com.ruoyi.zdsz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 市政工程详情视图对象 z_engineering_city_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringCityInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private String id;

    /**
     * 工程节点id
     */
    @ExcelProperty(value = "工程节点id")
    private String engInfoId;

    /**
     * 工程类型(字典)
     */
    @ExcelProperty(value = "工程类型(字典)")
    private String engType;

    /**
     * 建设单位
     */
    @ExcelProperty(value = "建设单位")
    private String buildUnit;

    /**
     * 项目负责人id
     */
    @ExcelProperty(value = "项目负责人id")
    private String buildUser;

    /**
     * 项目负责人电话
     */
    @ExcelProperty(value = "项目负责人电话")
    private String buildPhone;

    /**
     * 建设单位
     */
    @ExcelProperty(value = "建设单位")
    private String psUnit;

    /**
     * 项目负责人id
     */
    @ExcelProperty(value = "项目负责人id")
    private String psUser;

    /**
     * 项目负责人电话
     */
    @ExcelProperty(value = "项目负责人电话")
    private String psPhone;

    /**
     * 建设单位
     */
    @ExcelProperty(value = "建设单位")
    private String checkUnit;

    /**
     * 项目负责人id
     */
    @ExcelProperty(value = "项目负责人id")
    private String checkUser;

    /**
     * 项目负责人电话
     */
    @ExcelProperty(value = "项目负责人电话")
    private String checkPhone;


}
