package com.ruoyi.zdsz.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 民用工程详情信息视图对象 z_engineering_civil_info
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringCivilInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ExcelProperty(value = "")
    private String id;

    /**
     * 工程节点id
     */
    @ExcelProperty(value = "工程节点id")
    private String engInfoId;

    /**
     * 施工人id
     */
    @ExcelProperty(value = "施工人id")
    private String constructUser;

    /**
     * 施工地址
     */
    @ExcelProperty(value = "施工地址")
    private String constructAddre;

    /**
     * 施工时间
     */
    @ExcelProperty(value = "施工时间")
    private Date constructTime;

    /**
     * 是否按图纸施工(字典)
     */
    @ExcelProperty(value = "是否按图纸施工(字典)")
    private String constructAccordingDrawings;

    /**
     * 施工人电话
     */
    @ExcelProperty(value = "施工人电话")
    private String constructPhone;

    /**
     * 材质
     */
    @ExcelProperty(value = "材质")
    private String materialQuality;

    /**
     * 规格
     */
    @ExcelProperty(value = "规格")
    private String specifications;

    /**
     * 尺寸
     */
    @ExcelProperty(value = "尺寸")
    private Long size;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量")
    private Long number;

    /**
     * 分段打压是否合格(字典)
     */
    @ExcelProperty(value = "分段打压是否合格(字典)")
    private String segmentedCompressionQualified;

    /**
     * 回填时间
     */
    @ExcelProperty(value = "回填时间")
    private Date backfillTime;


}
