package com.ruoyi.zdsz.domain.vo;

import java.math.BigDecimal;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;

import java.io.Serializable;

/**
 * 工程用料预设视图对象 z_engineering_material_preset
 *
 * @author ruoyi
 * @date 2023-12-23
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringMaterialPresetVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelProperty(value = "主键")
    private String id;

    /**
     * 小区id
     */
    @ExcelProperty(value = "小区id")
    private String areaId;

    /**
     * 材质
     */
    @ExcelProperty(value = "材质")
    private String goodsKind;

    /**
     * 预计规格
     */
    @ExcelProperty(value = "预计规格")
    private String planGui;

    /**
     * 实际规格
     */
    @ExcelProperty(value = "实际规格")
    private String realGui;

    /**
     * 实际金额
     */
    @ExcelProperty(value = "实际金额")
    private BigDecimal realMoney;

    /**
     * 预计金额
     */
    @ExcelProperty(value = "预计金额")
    private BigDecimal planMoney;

    /**
     * 预计尺寸
     */
    @ExcelProperty(value = "预计尺寸")
    private String planSize;

    /**
     * 实际尺寸
     */
    @ExcelProperty(value = "实际尺寸")
    private String realSzie;


}
