package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZBuilding;
import com.ruoyi.zdsz.domain.vo.ZBuildingVo;
import com.ruoyi.zdsz.domain.bo.ZBuildingBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 楼宇管理Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZBuildingService {

    /**
     * 查询楼宇管理
     */
    ZBuildingVo queryById(Long id);

    /**
     * 查询楼宇管理列表
     */
    TableDataInfo<ZBuildingVo> queryPageList(ZBuildingBo bo, PageQuery pageQuery);

    /**
     * 查询楼宇管理列表
     */
    List<ZBuildingVo> queryList(ZBuildingBo bo);

    /**
     * 新增楼宇管理
     */
    Boolean insertByBo(ZBuildingBo bo);

    /**
     * 修改楼宇管理
     */
    Boolean updateByBo(ZBuildingBo bo);

    /**
     * 校验并批量删除楼宇管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
