package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringCityInfo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringCityInfoVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringCityInfoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 市政工程详情Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZEngineeringCityInfoService {

    /**
     * 查询市政工程详情
     */
    ZEngineeringCityInfoVo queryById(String id);

    /**
     * 查询市政工程详情列表
     */
    TableDataInfo<ZEngineeringCityInfoVo> queryPageList(ZEngineeringCityInfoBo bo, PageQuery pageQuery);

    /**
     * 查询市政工程详情列表
     */
    List<ZEngineeringCityInfoVo> queryList(ZEngineeringCityInfoBo bo);

    /**
     * 新增市政工程详情
     */
    Boolean insertByBo(ZEngineeringCityInfoBo bo);

    /**
     * 修改市政工程详情
     */
    Boolean updateByBo(ZEngineeringCityInfoBo bo);

    /**
     * 校验并批量删除市政工程详情信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
