package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringDangerInfo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringDangerInfoVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringDangerInfoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 危险作业工程Service接口
 *
 * @author ruoyi
 * @date 2023-12-23
 */
public interface IZEngineeringDangerInfoService {

    /**
     * 查询危险作业工程
     */
    ZEngineeringDangerInfoVo queryById(String id);

    /**
     * 查询危险作业工程列表
     */
    TableDataInfo<ZEngineeringDangerInfoVo> queryPageList(ZEngineeringDangerInfoBo bo, PageQuery pageQuery);

    /**
     * 查询危险作业工程列表
     */
    List<ZEngineeringDangerInfoVo> queryList(ZEngineeringDangerInfoBo bo);

    /**
     * 新增危险作业工程
     */
    Boolean insertByBo(ZEngineeringDangerInfoBo bo);

    /**
     * 修改危险作业工程
     */
    Boolean updateByBo(ZEngineeringDangerInfoBo bo);

    /**
     * 校验并批量删除危险作业工程信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
